* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: white;
    color: black;
    font-family: var(--font-primary);
    display: none;
}

.main-header {
    position: sticky;
    top: 0;
    width: 100%;
    background-color: white;
    z-index: 1000;
    padding: var(--font-size-xs) 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
}

.header-container {
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

.header-logo img {
    height: 3rem;
}

.header-auth {
    font-size: var(--font-size-sm);
    letter-spacing: 1px;
    font-weight: var(--font-weight-bold);
}

.login-link {
    text-decoration: none;
    color: black;
    border: 1px solid black;
    padding: 8px;
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
}

.login-link:hover {
    background-color: black;
    color: white;
}

.hero-section {
    position: relative;
    height: calc(100vh - 80px);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.hero-section::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, .15);
    z-index: 0;
}

.hero-bg img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.hero-content {
    position: relative;
    z-index: 1;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    padding: 20px;
    text-align: center;
}

.hero-title-container {
    display: flex;
    flex-direction: column;
    line-height: 0.9;
    color: black;
}

.hero-title-large {
    font-size: clamp(1.5rem, 12vw, 6rem);
    font-weight: var(--font-weight-thin);
}

.hero-title-small {
    font-size: clamp(1.5rem, 10vw, 6rem);
    font-weight: var(--font-weight-bold);
    margin-top: 20px;
}

.hero-buttons {
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}

.hero-button {
    font-family: var(--font-primary);
    text-decoration: none;
    padding: 15px;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
}

.hero-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.hero-buttons .btn-primary {
    background-color: white;
    color: black;
}

.hero-buttons .btn-secondary {
    background-color: var(--sand);
    color: white;
}

.about-section {
    padding: 40px 20px;
    max-width: 100vw;
    margin: 0 auto;
    display: flex;
    align-items: center;
    gap: 40px;
}

.about-image {
    flex: 1;
}

.about-image img {
    width: 100%;
    height: auto;
    border-radius: var(--border-radius-small);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.about-content {
    flex: 1;
}

.about-title-primary {
    font-family: var(--font-primary);
    color: black;
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
    text-align: center;
}

.about-subtitle,
.about-title-secondary {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    margin-bottom: 10px;
}

.about-title-secondary {
    font-style: italic;
    text-align: center;
    margin-bottom: 20px;
}

.about-description {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    color: black;
    margin-bottom: 15px;
}

.journey-section {
    padding: 40px 80px;
    max-width: 100vw;
    margin: 0 auto;
    background-color: var(--soft-cream);
    scroll-margin-top: 80px;
}

.journey-title-primary {
    font-family: var(--font-primary);
    color: black;
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
    text-align: center;
    padding: 10px;
}

.journey-description {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
    color: black;
    text-align: center;
}

.nutrition-section {
    padding: 40px 20px;
    margin: 0 auto;
    display: flex;
    gap: 40px;
    align-items: center;
}

.nutrition-info {
    flex: 1;
    text-align: center;
}

.nutrition-title {
    font-family: var(--font-primary);
    color: black;
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
}

.nutrition-description {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
    margin-bottom: 40px;
    padding: 0 50px;
}

.nutrition-button {
    font-family: var(--font-primary);
    text-decoration: none;
    padding: 15px;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
    background-color: white;
    color: black;
    border: 2px solid black;
    display: inline-block;
}

.nutrition-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.recipe-grid {
    flex: 1;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.recipe-card {
    position: relative;
    /* aspect-ratio: 1 / 1; */
    border-radius: var(--border-radius-small);
    overflow: hidden;

    width: 100%;
    padding-top: 100%;
}

.recipe-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;

    position: absolute;
    top: 0;
    left: 0;
    -webkit-object-fit: cover;
    z-index: 0;
}

.recipe-card:hover img {
    transform: scale(1.05);
}

.recipe-lock-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.5);
}

.recipe-lock-icon {
    font-size: var(--font-size-2xl);
}

.recipe-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px;
    background: linear-gradient(transparent, rgba(0, 0, 0, 0.9));
    color: white;
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);

    z-index: 1;
}

.workout-section {
    padding: 40px 20px;
    margin: 0 auto;
    display: flex;
    gap: 40px;
    align-items: center;
}

.workout-grid {
    flex: 1;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}

.workout-card {
    position: relative;
    aspect-ratio: 16 / 9;
    border-radius: var(--border-radius-small);
    overflow: hidden;
}

.workout-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;

    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

.workout-card:hover img {
    transform: scale(1.05);
}

.workout-lock-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    box-shadow: 0 4px 16px rgba(255, 255, 255, 0.5);
}

.workout-lock-icon {
    font-size: var(--font-size-2xl);
}

.workout-overlay {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    padding: 30px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    color: white;
    font-family: var(--font-primary);
    font-size: var(--font-size-3xl);
    font-weight: var(--font-weight-bold);
    
    z-index: 1;
}

.workout-title,
.workout-subtitle {
    text-shadow: 0 4px 16px rgba(255, 255, 255, 0.5);
}

.workout-subtitle {
    font-family: var(--font-secondary);
}

.workout-info {
    flex: 1;
    text-align: center;
}

.workout-info-title {
    font-family: var(--font-primary);
    color: black;
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
}

.workout-info-description {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
    margin-bottom: 40px;
    padding: 0 50px;
}

.workout-button {
    font-family: var(--font-primary);
    text-decoration: none;
    padding: 15px;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
    background-color: white;
    color: black;
    border: 2px solid black;
    display: inline-block;
}

.workout-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.method-section {
    max-width: 100vw;
    margin: 0 auto;
    scroll-margin-top: 80px;
}

.method-title-container {
    padding: 40px 80px;
    background-color: var(--soft-cream);
}

.method-title-primary {
    font-family: var(--font-primary);
    color: black;
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
    text-align: center;
}

.method-icons-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 10px 0;
}

.method-icon-circle {
    width: 80px;
    height: 80px;
    border-style: solid;
    border-radius: 50%;
    border-color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition: transform 0.3s ease;
}

.method-icon-circle img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}

.method-grid {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 80px;
    max-width: 100vw;
    margin: 0 auto;
    padding: 30px;
}

.method-item {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.method-circle {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 25px;
    transition: all 0.3s ease;
}

.method-item:hover .method-circle {
    background-color: var(--golden-ember);
    transform: translateY(-5px);
}

.method-circle img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.method-subtitle {
    font-family: var(--font-primary);
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
}

.method-description,
.method-description ul {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
    text-align: center;
}

.method-item ul {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
    text-align: center;
    text-align: left;
}

.certification-container {
    padding: 0px 80px;
    text-align: center;
}

.certification-container p {
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    font-style: italic;
}

.certification-button {
    font-family: var(--font-primary);
    text-decoration: none;
    padding: 15px;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
    background-color: black;
    color: white;
    display: inline-block;
}

.certification-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.pricing-section {
    margin: 0 auto;
    scroll-margin-top: 80px;
    background: #fff;
    border-radius: var(--border-radius-small);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    text-align: left;
    width: 40vw;
    min-width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px;
    margin-top: 40px;
}

.pricing-title-primary,
.plan-name {
    font-family: var(--font-primary);
    color: var(--sand);
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
    text-align: center;
}

.plan-name {
    color: black;
    margin-bottom: 10px;
    text-align: left;
    width: 100%;
}

.badge {
    border: solid;
    border-color: black;
    padding: 5px 15px;
    border-radius: var(--border-radius-regular);
    font-size: var(--font-size-lg);
    font-weight: var(--font-weight-bold);
    margin-bottom: 10px;
    align-self: flex-start;
}

.price-options {
    width: 100%;
    margin-bottom: 20px;

    .price-main,
    .price-separator,
    .price-annual,
    .save-tag {
        font-size: var(--font-size-xl);
        font-weight: var(--font-weight-bold);
    }
}

.benefit-list {
    margin-bottom: 30px;
    width: 100%;
}

.benefit-list li {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
    font-size: var(--font-size-lg);
}

.benefit-list li a {
    color: inherit;
    text-decoration: underline;
    margin: 0 5px;
}

.pricing-button {
    font-family: var(--font-primary);
    text-decoration: none;
    padding: 15px;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    border-radius: var(--border-radius-regular);
    transition: all 0.3s ease;
    background-color: black;
    color: white;
    display: inline-block;
}

.main-footer {
    margin-top: 50px;
    padding: 20px;
    background-color: var(--sand);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--font-primary);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-regular);
}

.footer-title-primary {
    font-weight: var(--font-weight-bold);
    font-style: italic;
}

.info-container {
    display: flex;
    justify-content: center;
    gap: 100px;
    width: 100%;
    max-width: 800px;
    margin-bottom: 60px;
    text-align: left;
}

.info-container ul {
    list-style: none;
}

.info-container li {
    font-size: var(--font-size-lg);
}

.info-container a {
    color: inherit;
    text-decoration: none;
    margin: 0 5px;
}

.main-footer img {
    max-width: 90vw;
}

.copyright {
    margin-top: 25px;
    font-size: var(--font-size-lg);

    a {
        color: inherit;
        text-decoration: underline;
        margin: 0 5px;
    }
}

@media (max-width: 768px) {
    .hero-section {
        height: calc(100dvh - 80px);
    }

    .about-section {
        flex-direction: column;
        gap: 20px;
    }

    .about-subtitle,
    .about-title-secondary,
    .about-description {
        font-size: var(--font-size-lg);
    }

    .journey-section {
        padding: 20px;
    }

    .journey-title-primary {
        font-size: var(--font-size-xl);
    }

    .journey-description {
        font-size: var(--font-size-lg);
    }

    .nutrition-section {
        flex-direction: column;
        gap: 20px;
    }

    .nutrition-info {
        display: contents;
    }

    .nutrition-description {
        margin-bottom: 20px;
        padding: 0px;
    }

    .nutrition-button {
        order: 3;
        align-self: center;
    }

    .recipe-grid {
        order: 2;
        width: 100%;
    }

    .recipe-overlay {
        font-size: var(--font-size-md);
    }

    .recipe-lock-wrapper {
        width: 50px;
        height: 50px;
    }

    .recipe-lock-icon {
        font-size: var(--font-size-lg);
    }

    .workout-section {
        flex-direction: column;
        gap: 20px;
    }

    .workout-grid {
        order: 2;
        width: 100%;
    }

    .workout-overlay {
        padding: 15px;
        font-size: var(--font-size-xl);
    }

    .workout-lock-wrapper {
        width: 50px;
        height: 50px;
    }

    .workout-lock-icon {
        font-size: var(--font-size-lg);
    }

    .workout-info {
        display: contents;
    }

    .workout-info-description {
        margin-bottom: 20px;
        padding: 0px;
    }

    .workout-button {
        order: 3;
        align-self: center;
    }

    .method-title-container {
        padding: 20px;
    }

    .method-title-primary {
        font-size: var(--font-size-xl);
    }

    .method-icons-container {
        gap: 10px;
    }

    .method-icon-circle {
        width: 60px;
        height: 60px;
    }

    .method-grid {
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }

    .method-item {
        max-width: 100%;
    }

    .certification-container {
        padding: 0px 10px;
    }

    .certification-container p {
        font-size: var(--font-size-lg);
    }

    .pricing-section {
        border-radius: unset;
        min-width: unset;
        width: 100vw;
        padding: 20px;
    }

    .info-container {
        flex-direction: column;
        gap: 20px;
        text-align: left;
    }
}